Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dom
Class DOMStructure

    java.lang.Object
      javax.xml.crypto.dom.DOMStructure

All Implemented Interfaces:
  XMLStructure

    public class DOMStructure

extends Object
implements XMLStructure

A DOM-specific `XMLStructure`. The purpose of this class is to allow a DOM node to be used to represent extensible content (any elements or mixed content) in XML Signature structures.

If a sequence of nodes is needed, the node contained in the `DOMStructure` is the first node of the sequence and successive nodes can be accessed by invoking `Node.getNextSibling()`.

If the owner document of the `DOMStructure` is different than the target document of an `XMLSignature`, the `XMLSignature.sign(XMLSignContext)` method imports the node into the target document before generating the signature.

Since:
  1.6

Constructor Summary
`DOMStructure(Node node)` Creates a `DOMStructure` containing the specified node.

Method Summary
`Node` | `getNode()` Returns the node contained in this `DOMStructure`.
`boolean` | `isFeatureSupported(String feature)` Indicates whether a specified feature is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMStructure

    public DOMStructure(Node node)

  Creates a `DOMStructure` containing the specified node.

  Parameters:
    `node` - the node
  Throws:
    `NullPointerException` - if `node` is `null`

Method Detail

### getNode

    public Node getNode()

  Returns the node contained in this `DOMStructure`.

  Returns:
    the node

### isFeatureSupported

    public boolean isFeatureSupported(String feature)

  Description copied from interface: `XMLStructure`
  Indicates whether a specified feature is supported.

  Specified by:
    `isFeatureSupported` in interface `XMLStructure`
  Parameters:
    `feature` - the feature name (as an absolute URI)
  Returns:
    `true` if the specified feature is supported, `false` otherwise
  Throws:
    `NullPointerException` - if `feature` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.